package controller

import (
	"github.com/gin-gonic/gin"
	"iot_manager_service/app/model"
	"iot_manager_service/app/service"
	"iot_manager_service/app/utils"
	"net/http"
)

// 摄像头管理对象
var Camera = new(cameraCtl)

type cameraCtl struct{}

func (c *cameraCtl) Detail(ctx *gin.Context) {
	var req *model.ReqCamera
	if err := ctx.ShouldBind(&req); err != nil {
		ctx.JSON(http.StatusOK, nil)
		return
	}
}

func (c *cameraCtl) List(ctx *gin.Context) {
}

func (c *cameraCtl) CreateOrUpdate(ctx *gin.Context) {
	// 参数验证
	var req *model.ReqCamera
	if err := ctx.ShouldBind(&req); err != nil {
		ctx.JSON(http.StatusOK, utils.ParamsInvalidResponse(err.Error(), nil))
		return
	}
	err := service.CameraService.CreateOrUpdate(req)
	if err != nil {
		ctx.JSON(http.StatusOK, nil)
		return
	}
}

func (c *cameraCtl) Remove(ctx *gin.Context) {
}

func (c *cameraCtl) Count(ctx *gin.Context) {
}

func (c *cameraCtl) ImportExcel(ctx *gin.Context) {
}

func (c *cameraCtl) ExportExcel(ctx *gin.Context) {
}

func (c *cameraCtl) ExportTemplate(ctx *gin.Context) {
}

func (c *cameraCtl) GetList(ctx *gin.Context) {
}

func (c *cameraCtl) Enable(ctx *gin.Context) {
}
